# withCapability

abstract fun withCapability(capability: Capability, action: Action<in CapabilityResolutionDetails>)

Configures the resolution strategy of a specific capability. The capability version is irrelevant.

#### Parameters

capability

a capability to configure

action

the configuration action

abstract fun withCapability(group: String, name: String, action: Action<in CapabilityResolutionDetails>)

Configures the resolution strategy of a specific capability.

#### Parameters

group

the group of the capability to configure

name

the name of the capability to configure

action

the configuration action

abstract fun withCapability(notation: Any, action: Action<in CapabilityResolutionDetails>)

Configures the resolution strategy of a specific capability.

#### Parameters

notation

the notation of the capability to configure, Providers of any notation are also accepted

action

the configuration action